[gentoo-user-fr] installation de kdm

Le
etienne
bonjour

Je viens d'installer (en heures) xorg-X11 et kdebase et maintenant je voula=
is
démarrer le démarrage de ma session en GUI.

J'obtiens une erreur . Apparemment un conflit à l'installation mais je ne=

comprends pas.

merci de m'aider à décoder le message

Etienne




#emerge --ask --noreplace kdm

These are the packages that would be merged, in order:

Calculating dependencies done!
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdebase-data-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/libkonq-3.5.=
5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kicker-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/khotkeys-3.5=
.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesu-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcontrol-3.5=
.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/khelpcenter-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcminit-3.5.=
3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdm-3.5.5-r1)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdepasswd-3.=
5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcheckpass-3=
.5.0)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdialog-3.5.=
5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kfind-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/konqueror-3.=
5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdebase-kioslaves-3.5.5-r1)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdesktop-3.5.5-r1)
[ebuild N ] kde-base/kdebase-data-3.5.5
USE="-debug -kdeenablefinal -xinerama"
[ebuild N ] kde-base/libkonq-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kicker-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xcomposite -xiner=
ama"
[ebuild N ] kde-base/khotkeys-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdesu-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/khelpcenter-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcminit-3.5.3
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcontrol-3.5.5
USE="ssl -arts -debug -ieee1394 -kdeenablefinal -kdehiddenvisibility -log=
itech-mouse -opengl -xinerama"
[ebuild N ] kde-base/kdepasswd-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdm-3.5.5-r1
USE="pam -arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcheckpass-3.5.0
USE="pam -arts -debug -kdeenablefinal -kdehiddenvisibility -kdexdeltas -x=
inerama"
[ebuild N ] kde-base/kdialog-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kfind-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdebase-kioslaves-3.5.5-r1
USE="-arts -debug -hal -kdeenablefinal -kdehiddenvisibility -ldap -openex=
r -samba -xinerama"
[ebuild N ] kde-base/konqueror-3.5.5
USE="-arts -debug -java -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdesktop-3.5.5-r1
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama -xscreen=
saver"

!!! Error: The above package list contains packages which cannot be install=
ed
!!! at the same time on the same system.

gentoo ~ #
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Guillaume Pujol
Le #7824601
2007/3/10, etienne
bonjour

Je viens d'installer (en heures) xorg-X11 et kdebase et maintenant je vou lais
démarrer le démarrage de ma session en GUI.

J'obtiens une erreur . Apparemment un conflit à l'installation mais je ne
comprends pas.

merci de m'aider à décoder le message

Etienne


#emerge --ask --noreplace kdm

These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdebase-data-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/libkonq-3. 5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kicker-3.5 .5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/khotkeys-3 .5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesu-3.5. 5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcontrol-3 .5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/khelpcenter-3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcminit-3. 5.3)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdm-3.5.5- r1)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdepasswd- 3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kcheckpass -3.5.0)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kdialog-3. 5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/kfind-3.5. 5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking kde-base/konqueror- 3.5.5)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdebase-kioslaves-3.5.5-r1)
[blocks B ] =kde-base/kdebase-3.5* (is blocking
kde-base/kdesktop-3.5.5-r1)
[ebuild N ] kde-base/kdebase-data-3.5.5
USE="-debug -kdeenablefinal -xinerama"
[ebuild N ] kde-base/libkonq-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kicker-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xcomposite -xin erama"
[ebuild N ] kde-base/khotkeys-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdesu-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/khelpcenter-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcminit-3.5.3
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcontrol-3.5.5
USE="ssl -arts -debug -ieee1394 -kdeenablefinal -kdehiddenvisibility -l ogitech-mouse -opengl -xinerama"
[ebuild N ] kde-base/kdepasswd-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdm-3.5.5-r1
USE="pam -arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kcheckpass-3.5.0
USE="pam -arts -debug -kdeenablefinal -kdehiddenvisibility -kdexdeltas -xinerama"
[ebuild N ] kde-base/kdialog-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kfind-3.5.5
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdebase-kioslaves-3.5.5-r1
USE="-arts -debug -hal -kdeenablefinal -kdehiddenvisibility -ldap -open exr -samba -xinerama"
[ebuild N ] kde-base/konqueror-3.5.5
USE="-arts -debug -java -kdeenablefinal -kdehiddenvisibility -xinerama"
[ebuild N ] kde-base/kdesktop-3.5.5-r1
USE="-arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama -xscre ensaver"

!!! Error: The above package list contains packages which cannot be insta lled
!!! at the same time on the same system.



Dans Gentoo il y a deux façons d'installer KDE:
- La "monolithique", où tu installes les gros paquets "kdebase",
"kdenetwork", "kdepim", etc, ces paquets contenant tout un tas
d'applis
- La "modulaire", où tu peut installer chaque appli dans des ebuilds
séparés (ce qui est beaucoup beaucoup plus mieux)

Les 2 méthodes ne sont pas utilisables en même temps
Là tu à installé kdebase qui est monolithique, et tu essaie
d'installer kdm qui est modulaire.
Pour résoudre ton problème, désinstalle kdebase (oui je sais tu viens
de passer 2 heures à le compiler :) ), et installe "kdebase-meta" à la
place (c'est l'équivalent modulaire de kdebase).
Ensuite tu pourra installer kdm sans problèmes.

A+
--
mailing list
Publicité
Poster une réponse
Anonyme